Subject: [Sip] p-asserted-identity security harmful

From: Michael Thomas <[email-masked]>
Date: Wed, 3 Jul 2002 08:40:31 -0700 (PDT)

From Section 11.3 of draft-ietf-sip-asserted-identity-01:

>    Connections between nodes within the Trust Domain and between UAs and
>    nodes in the Trust Domain MUST use TLS using a cipher suite of
>    RSA_WITH_AES_128_CBC_SHA1.  Mutual authentication between nodes in the
>    trust domain MUST be performed and confidentiality MUST be negotiated.
> 

It's just come to my attention that TLS was
mandated in the asserted identity draft. Not only
was TLS mandated, but certain cipher suites and
_AUTHENTICATION_ mechanisms were made necessary
not only to implement, but to deploy. This is
utterly bogus. This also places new requirements
on UA's, which are not part of the base SIP spec.
That too is bogus, and has been slipped in with
no discussion.

First, it ignores the possible use of IPsec as an
alternate mechanism to protect the bits on the
wire, but far more bogus doesn't allow for the
proper latitude with authentication mechanisms
needed in real life. I know that a lot of people
here think that the PKI kool aide is going to
solve world thirst, but reality has shown that to
be a complete myth. SIP should not be mandating
things for *deployment* which are manifestly
undeployable as the only possible mechanism.
Thirdly, it places new requirements on UA's of not
only implementation, but *deployment* as
well. This is extremely harmful.

This section should either be struck in its
entirety, or refer back to the base SIP spec's
proxy requirements (which are likely to be harmful
too, but at least the damage will be limited to a
single document).

	Mike

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Peterson, Jon" <[email-masked]>
Date: Fri, 5 Jul 2002 15:57:46 -0500

Let me add to Jonathan's comments that the asserted-identity draft will be
an Informational RFC that declares only P- headers (as specified by the
sipchange process), and as such it is not empowered to make any kind of
normative amendments to RFC3261.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Friday, July 05, 2002 12:46 PM
> To: Euchner Martin ICN M SR 3
> Cc: Michael Thomas; Peterson, Jon; [email-masked]
> Subject: Re: [Sip] p-asserted-identity security harmful
> 
> 
> 
> 
> Euchner Martin ICN M SR 3 wrote:
> > Now I'm confused even more as this sounds like the Spec(T) 
> example is in
> > fact of more mandatory nature.
> 
> No, no, no.
> 
> p-asserted-identity basically has proxies "declaring" the identity of 
> the originator of the request. In order for a proxy to determine what 
> this means, each domain has to define, FOR THAT DOMAIN, how 
> the identity 
> was determined, and how its securely transmitted between 
> proxies. This 
> is not a written specification, or an IETF specification. Its 
> more of an 
> enterprise policy. A proxy in a domain has to know what the 
> enterprise 
> policy for that domain is, in order to know how to properly interpret 
> the asserited identity. Spec(T) is the enterprise policy. The 
> specification gives an example of such a policy.
> 
> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
> Chief Scientist                         First Floor
> dynamicsoft                             East Hanover, NJ 07936
> [email-masked]                 FAX: (973) 952-5050
> http://www.jdrosen.net                  PH:  (973) 952-5000
> http://www.dynamicsoft.com
>